#!/bin/sh

CR="
"

cat <<EoF
Test-Command: cmake -Wno-dev -S debian/tests/cmake -B \$AUTOPKGTEST_TMP
Features: test-name=cmake_find_package_Thrust
Depends:
 @,
 cmake,
 g++,
 libtbb-dev,
Restrictions:
 superficial,

EoF

for DEVICE in CPP TBB OMP ; do
	for STD in 17 14 ; do
		cat <<EoF
Test-Command: debian/tests/upstream-testsuite ${DEVICE} ${STD}
Features: test-name=run_testsuite_${DEVICE}_C++${STD}
Depends:
 @,
 cmake,
 g++,
 libtbb-dev,
 make,
Restrictions:
 superficial,
 allow-stderr,
 flaky,

EoF
	done
done

for DEVICE in CUDA; do
	for CXX in cuda-g++ g++-11 g++-10 ; do
		for STD in 17 14 ; do
			for HOST in CPP TBB OMP ; do
				case $CXX in
					cuda-g++)
						DEPS="nvidia-cuda-toolkit-gcc"
						;;
					*)
						DEPS="$CXX,${CR} nvidia-cuda-toolkit"
						;;
				esac
				cat <<EoF
Test-Command: debian/tests/upstream-testsuite ${HOST}/${DEVICE} ${STD} ${CXX}
Features: test-name=compile_testsuite_${HOST}/${DEVICE}_C++${STD}_${CXX}
Architecture: amd64 arm64 ppc64el
Depends:
 @,
 cmake,
 libtbb-dev,
 make,
 $DEPS,
Restrictions:
 superficial,
 allow-stderr,
 flaky,

EoF
			done
		done
	done
done
